0 Replies Latest reply on Jun 20, 2006 9:47 AM by Stefan Milde

    StackOverflowError on JBoss 3.2.7 with IBM JDK 1.4.2

    Stefan Milde Newbie

      Hi,

      we are using JBoss 3.2.3, IBM JDK 1.4.2 on PowerPC with SuseLinux 9.
      Our deployed project has many ejbs managed by container. This ejbs are calling each other. No cycle!
      In some cases we have many of this calls. So we reach a very deep level.
      For the IBM JDK too deep.We got a StackOverflowError.
      A deployment on a PC under Win 2000 with IBM JDK 1.4.2 yields to the same result. With SUN JDK 1.4.2 or 1.5 it is working fine.
      But there is no SUN JDK for PowerPC, our target system.

      I tested many combinations for the JVM parameters -Xms, -Xmx, -Xoss and -Xss with no positive result.

      Is there anybody with the analog problem?
      Anybody an idea for special JBoss configuration when running JBoss with IBM JDK?

      I posted this problem to IBM too.

      Thanks for any idea!

      Regards

      Stefan